Subject: Re: bug#1757: 23.0.60; completion DWIM too clever

From: "Lennart Borgman" <[email-masked]>
Date: Thu, 1 Jan 2009 19:26:22 +0100

On Thu, Jan 1, 2009 at 6:59 PM, Drew Adams <[email-masked]> wrote:
>> I typed C-x b *d TAB and it offered me as completions `diary'
>> and `old', neither of which starts with a `*'.
>>
>> I typed C-x b *di TAB and it completed to `diary', which is not
>> even a completion of what I typed.
>>
>> It is extremely annoying to discard the user's input characters.
>
> I couldn't agree more. The is (the formerly optional) partial completion at
> work. It is now the default behavior to first try the traditional completion,
> and if that finds no matches, automatically try partial completion.

Is perhaps the problem that partial completion does not respect the
user input (of *)?